<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>TestFmk_Cfg_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">TestFmk_Cfg_t Struct Reference<div class="ingroups"><a class="el" href="group___t_e_s_t___f_r_a_m_e_w_o_r_k.html">Test Framework API</a> &raquo; <a class="el" href="group___t_e_s_t___f_r_a_m_e_w_o_r_k___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html">Test Framework External Data Structures</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>TestFmk Configuration.  
 <a href="struct_test_fmk___cfg__t.html#details">More...</a></p>

<p><code>#include &lt;test/common/framework.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a092cd838fba1398364437f63240588f1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a092cd838fba1398364437f63240588f1"></a>
MMWave_DFEDataOutputMode&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_test_fmk___cfg__t.html#a092cd838fba1398364437f63240588f1">dfeDataOutputMode</a></td></tr>
<tr class="memdesc:a092cd838fba1398364437f63240588f1"><td class="mdescLeft">&#160;</td><td class="mdescRight">DFE Data Output Mode: <br /></td></tr>
<tr class="separator:a092cd838fba1398364437f63240588f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3bc893817760c96a498334aac8d9fea3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3bc893817760c96a498334aac8d9fea3"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_test_fmk___cfg__t.html#a3bc893817760c96a498334aac8d9fea3">adcFmt</a></td></tr>
<tr class="memdesc:a3bc893817760c96a498334aac8d9fea3"><td class="mdescLeft">&#160;</td><td class="mdescRight">ADC Buffer Output format: 0 - Complex 1 - Real. <br /></td></tr>
<tr class="separator:a3bc893817760c96a498334aac8d9fea3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acae49e39239122c06eb55e66fd90af98"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acae49e39239122c06eb55e66fd90af98"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_test_fmk___cfg__t.html#acae49e39239122c06eb55e66fd90af98">iqSwapSel</a></td></tr>
<tr class="memdesc:acae49e39239122c06eb55e66fd90af98"><td class="mdescLeft">&#160;</td><td class="mdescRight">ADCBUF IQ swap selection: 0 - I in LSB, Q in MSB, 1 - Q in LSB, I in MSB. <br /></td></tr>
<tr class="separator:acae49e39239122c06eb55e66fd90af98"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4efe871b425ca600f1a9ec59e3f534f5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4efe871b425ca600f1a9ec59e3f534f5"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_test_fmk___cfg__t.html#a4efe871b425ca600f1a9ec59e3f534f5">chInterleave</a></td></tr>
<tr class="memdesc:a4efe871b425ca600f1a9ec59e3f534f5"><td class="mdescLeft">&#160;</td><td class="mdescRight">ADCBUF channel Interleave Configuration: 0 - Interleaved (NOT supported on XWR16xx) 1 - Non-interleaved. <br /></td></tr>
<tr class="separator:a4efe871b425ca600f1a9ec59e3f534f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e13858228c84b9b438829ad79a50a68"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2e13858228c84b9b438829ad79a50a68"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_test_fmk___cfg__t.html#a2e13858228c84b9b438829ad79a50a68">chirpThreshold</a></td></tr>
<tr class="memdesc:a2e13858228c84b9b438829ad79a50a68"><td class="mdescLeft">&#160;</td><td class="mdescRight">Chirp Threshold: <br /></td></tr>
<tr class="separator:a2e13858228c84b9b438829ad79a50a68"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34b138b3c5645d83622faffe8f7b6cb3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a34b138b3c5645d83622faffe8f7b6cb3"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_test_fmk___cfg__t.html#a34b138b3c5645d83622faffe8f7b6cb3">rxChannelEn</a></td></tr>
<tr class="memdesc:a34b138b3c5645d83622faffe8f7b6cb3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Receive channel mask: <br /></td></tr>
<tr class="separator:a34b138b3c5645d83622faffe8f7b6cb3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ef55a3ba0055eb72ffaedd16c19f9b0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1ef55a3ba0055eb72ffaedd16c19f9b0"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_test_fmk___cfg__t.html#a1ef55a3ba0055eb72ffaedd16c19f9b0">enableCQ</a></td></tr>
<tr class="memdesc:a1ef55a3ba0055eb72ffaedd16c19f9b0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Flag which determines if the CQ needs to be configured. <br /></td></tr>
<tr class="separator:a1ef55a3ba0055eb72ffaedd16c19f9b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a13c2b53656dbc6f527ded68f07461821"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a13c2b53656dbc6f527ded68f07461821"></a>
ADCBuf_CQConf&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_test_fmk___cfg__t.html#a13c2b53656dbc6f527ded68f07461821">cqCfg</a></td></tr>
<tr class="memdesc:a13c2b53656dbc6f527ded68f07461821"><td class="mdescLeft">&#160;</td><td class="mdescRight">CQ Configuration: This is only used if the enable chirp quality is enabled; else the configuration is ignored. <br /></td></tr>
<tr class="separator:a13c2b53656dbc6f527ded68f07461821"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a741ceccc3dfe29baf6a14ce6ea35c820"><td class="memItemLeft" ><a class="anchor" id="a741ceccc3dfe29baf6a14ce6ea35c820"></a>
union {</td></tr>
<tr class="memitem:af1f40a1ed51a5df3dc93870b32147e26"><td class="memItemLeft" >
&#160;&#160;&#160;<a class="el" href="group___t_e_s_t___f_r_a_m_e_w_o_r_k___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab4d0fd8f1474411f43bdc787f8dad1f0">TestFmk_FrameCfg</a>&#160;&#160;&#160;<a class="el" href="struct_test_fmk___cfg__t.html#aba32c3698b9c57c6ecdafb4b1e25d275">frameCfg</a></td></tr>
<tr class="memdesc:af1f40a1ed51a5df3dc93870b32147e26"><td class="mdescLeft">&#160;</td><td class="mdescRight">Frame configuration which is applicable only if the mmWave Link has been configured to operate in frame or advanced frame mode. <br /></td></tr>
<tr class="separator:af1f40a1ed51a5df3dc93870b32147e26"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4383298be43aa8f16b437dea4e798014"><td class="memItemLeft" >
&#160;&#160;&#160;<a class="el" href="group___t_e_s_t___f_r_a_m_e_w_o_r_k___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga2b8e22a6aff0e3cb4df32233e36af2cf">TestFmk_ContCfg</a>&#160;&#160;&#160;<a class="el" href="struct_test_fmk___cfg__t.html#a561f540cccf1435a70fd1af3f67d2771">contCfg</a></td></tr>
<tr class="memdesc:a4383298be43aa8f16b437dea4e798014"><td class="mdescLeft">&#160;</td><td class="mdescRight">Continuous configuration which is applicable only if the mmWave Link has been configured to operate in continuous mode. <br /></td></tr>
<tr class="separator:a4383298be43aa8f16b437dea4e798014"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a741ceccc3dfe29baf6a14ce6ea35c820"><td class="memItemLeft" valign="top">}&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_test_fmk___cfg__t.html#a741ceccc3dfe29baf6a14ce6ea35c820">u</a></td></tr>
<tr class="memdesc:a741ceccc3dfe29baf6a14ce6ea35c820"><td class="mdescLeft">&#160;</td><td class="mdescRight">The configuration is DFE Data Mode specific. <br /></td></tr>
<tr class="separator:a741ceccc3dfe29baf6a14ce6ea35c820"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>TestFmk Configuration. </p>
<p>The structure is used to configure the data path and loaded profile. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>test/common/<a class="el" href="framework_8h.html">framework.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
